%global pypi_name imodels

Name:           python-%pypi_name
Version:        1.4.5
Release:        2%{?dist}
Summary:        Python package for concise, transparent, and accurate predictive modeling

License:        MIT
URL:            https://github.com/csinva/imodels
Source:         %{url}/archive/v%{version}/%pypi_name-%{version}.tar.gz
Patch1:         python-imodels_compatible_sklearn_1.4.patch

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires: python3dist(pytest)

%global _description %{expand:
Python package for concise, transparent, and accurate predictive modeling.
Fully sklearn-compatible and easy to use.}

%description %_description

%package -n python3-%pypi_name
Summary:        %{summary}
Recommends:     python3-%pypi_name+dev

%description -n python3-%pypi_name %_description


%pyproject_extras_subpkg -n python3-%pypi_name dev


%prep
%autosetup -p1 -n %pypi_name-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install

%pyproject_save_files %pypi_name


%check
%pytest tests/

%files -n python3-%pypi_name -f %{pyproject_files}
%doc readme.md citation.cff

%changelog
* Wed Aug 14 2024 José Matos <jamatos@fedoraproject.org> - 1.4.5-2
- Add patch to make the code compatible with scikit-learn 1.4

* Tue Aug 13 2024 José Matos <jamatos@fedoraproject.org> - 1.4.5-1
- Update to 1.4.5

* Tue Oct 10 2023 José Matos <jamatos@fedoraproject.org> - 1.4.1-1
- Update package and spec file

* Thu Oct 21 2021 José Matos <jamatos@fep.up.pt> - 1.0.2-1
- Initial package.
